using Infrastructure.Repository;

namespace Infrastructure.Extensions;

public static class RepositoryContextSetup
{
    public static IServiceCollection AddDefaultRepositoryContext(this IServiceCollection services)
    {
        ArgumentNullException.ThrowIfNull(services);
        services.TryAddScoped(typeof(IRepositoryBase<>), typeof(RepositoryBase<>));
        services.TryAddScoped(typeof(IServiceBase<>), typeof(ServiceBase<>));
        return services;
    }
}